#!/bin/sh
exec >/dev/console

/app/tinydebug wdt disable
kill -9 `ps | grep UIManager | awk '{print$1}'`
kill -9 `ps | grep shiloh_pinetree | awk '{print$1}'`
kill -9 `ps | grep stdin2log | awk '{print$1}'`
/app/tinydebug wdt disable

DLPC=0 # change this value!!

/app/display.sh "Setting DLPC" "$DLPC" "Press any key or" " PowerOff(Cancel)"
/app/tinydebug keywait

sqlite3 /app/nvram/karas.db "UPDATE INST_DRUMCOUNT SET DrumLifePageCount=$DLPC;"
sqlite3 /backup/karas_backup.db "UPDATE INST_DRUMCOUNT SET DrumLifePageCount=$DLPC;"
sqlite3 /backup/point.db "UPDATE permaset SET drum_life=$DLPC;"
sync;sync;

usleep 2000
/app/display.sh "Setting DLPC" "!!! COMPLETE !!!" "power off and" " remove usb"

return;