#!/bin/sh

goto_error () {
	/app/tinydebug led red
	usleep 500000
    /app/display.sh "KARA-S F/W Recovery" "Failed..." "$1" "Please Reboot"
    echo "KARA-S F/W Recovery" "Failed..." $1 "Please Reboot"
    exit 1
}

########################################################################################
/app/display.sh "KARA-S F/W Recovery" "=====================" "Press any key or" "PowerOff(No Recovery)"
########################################################################################
/app/tinydebug keywait

########################################################################################
/app/display.sh "KARA-S F/W Recovery" "=====================" "Please wait"
########################################################################################
ubiattach /dev/ubi_ctrl -m 5 -d 2
mkdir -p /recovery
mount -t ubifs ubi2:recovery /recovery
		
if [ -f /recovery/nandrootfs.ubifs ]; then
	echo "erase /dev/mtd6 (for root filesystem)...";echo ""
	flash_eraseall /dev/mtd6 || goto_error "can not erase rootfs"
	########################################################################################
	/app/display.sh "KARA-S F/W Recovery" "=====================" "Please Reboot" " to Recover"
	########################################################################################
else
	goto_error "no nandrootfs.ubifs"
fi

sync;sync
echo "Let's reboot for recovering !!!"
reboot
